Update current entity user
curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/entity-users/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--data '
{
"email": "jsmith@example.com",
"first_name": "Casey",
"last_name": "Peters",
"phone": "<string>",
"title": "Finance Manager"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/entity-users/me"
payload = {
"email": "jsmith@example.com",
"first_name": "Casey",
"last_name": "Peters",
"phone": "<string>",
"title": "Finance Manager"
}
headers = {
"x-finops-version": "<x-finops-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-finops-version': '<x-finops-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: 'jsmith@example.com',
first_name: 'Casey',
last_name: 'Peters',
phone: '<string>',
title: 'Finance Manager'
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/entity-users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"login": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"userpic_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Entity users
Update current entity user
Change the specified fields with provided values.
PATCH
/
finops
/
v1
/
entity-users
/
me
Update current entity user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
An entity user business email
First name
Maximum string length:
255Example:
"Casey"
Last name
Maximum string length:
255Example:
"Peters"
An entity user phone number in the international format
Maximum string length:
20Title
Maximum string length:
255Example:
"Finance Manager"
Response
Successful Response
UUID entity user ID
UTC datetime
UTC datetime
Login
Example:
"caseyp"
record status, 'active' by default
Available options:
active, deleted An entity user business email
First name
Last name
An entity user phone number in the international format
Maximum string length:
20Was this page helpful?
⌘I